import { EventFunction, HandlerFunction, SignatureType, UserCodePkgInfo } from './types';
export interface RegisteredFunction {
    name: string;
    signatureType: SignatureType;
    userFunction: HandlerFunction;
    pkgInfo: UserCodePkgInfo;
}
export declare function register(name: string, signatureType: SignatureType, userFunction: HandlerFunction, pkgInfo: UserCodePkgInfo): void;
export declare function getRegisteredFunction(name: string): RegisteredFunction | undefined;
export declare function getAllRegisteredFunctions(): RegisteredFunction[];
/**
 * 注册一个事件函数
 * @param functionName 函数名称
 * @param handler 事件处理函数
 */
export declare const event: (functionName: string, handler: EventFunction, pkgInfo: UserCodePkgInfo) => void;
//# sourceMappingURL=function-registry.d.ts.map